
package hu.bme.mit.books.manager;

import hu.bme.mit.books.model.Book;

import java.util.List;

import org.eclipse.core.databinding.observable.list.WritableList;

public interface IBookManager {

	void addBook(String author, String title, int pages,
			boolean read);

	List<Book> getBookOfAuthor(String author);

	List<Book> getReadBooks();

	List<Book> getAllBooks();
	
	void removeBook(Book book);

	void addObservableBookList(WritableList list);

}
