 
package hu.bme.mit.book.e4.app.handlers;

import hu.bme.mit.books.manager.IBookManager;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Optional;

public class AddBookHandler {
	
	@Execute
	public void execute(IBookManager manager) {
		manager.addBook("New Author", "New title", -1, false);
	}
	
	
	@CanExecute
	public boolean canExecute(@Optional IBookManager manager) {
		return manager != null;
	}
		
}