 
package hu.bme.mit.book.e4.app.handlers;

import hu.bme.mit.books.manager.IBookManager;
import hu.bme.mit.books.model.Book;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.core.di.annotations.Optional;
import org.eclipse.e4.ui.services.IServiceConstants;

public class RemoveBookHandler {
	@Execute
	public void execute(@Named(IServiceConstants.ACTIVE_SELECTION) Book book, IBookManager manager) {
		manager.removeBook(book);
	}
		
	@CanExecute
	public boolean canExecute(@Optional@Named(IServiceConstants.ACTIVE_SELECTION) Book book, @Optional IBookManager manager) {
		return book != null && manager != null;
	}
}